> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return Note

> Post a new note to a return.

### Required API key scope
- Returns




## OpenAPI

````yaml post /warehouse/return/{return_id}/note
openapi: 3.1.0
info:
  title: Returns API
  version: v1
  description: API used for performing operations on returns.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Return Actions
  - name: Return Data
paths:
  /warehouse/return/{return_id}/note:
    post:
      tags:
        - Return Actions
      summary: Create Return Note
      description: |
        Post a new note to a return.

        ### Required API key scope
        - Returns
      operationId: createReturnNote
      parameters:
        - in: path
          name: return_id
          schema:
            type: integer
          required: true
          description: The unique identifier associated with the return.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReturnNoteRequest'
      responses:
        '200':
          $ref: '#/components/responses/CreateReturnNote'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          description: Unprocessable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidContentForNoteResponse'
      security:
        - api_key: []
components:
  schemas:
    CreateReturnNoteRequest:
      type: object
      required:
        - content
      properties:
        content:
          description: The content of the note.
          type: string
          examples:
            - This is a new note
    InvalidContentForNoteResponse:
      type: object
      properties:
        errors:
          type: object
          properties:
            message:
              type: string
              examples:
                - Content is required and must be less than 255 characters.
        data:
          type: object
          properties:
            content:
              type: string
    SuccessMessage:
      description: The value returned when the return has been queued for processing.
      type: string
      examples:
        - 'true'
  responses:
    CreateReturnNote:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SuccessMessage'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    examples:
                      - '401'
                  http_code:
                    type: string
                    examples:
                      - GEN-UNAUTHORIZED
                  message:
                    type: string
                    examples:
                      - Unauthorized.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````